import * as React from "react";
import Svg, { G, Path, Defs, ClipPath } from "react-native-svg";

const Short = (props) => {
  return (
    <Svg
      width={25}
      height={25}
      viewBox="0 0 25 25"
      fill="none"
      xmlns="http://www.w3.org/2000/svg"
      {...props}
    >
      <G clipPath="url(#clip0_347_159)">
        <Path
          d="M1.65 14.02c.58.003.558.005.528-.57-.043-.804.064-1.597.247-2.38.304-1.299.861-2.472 1.728-3.493.202-.24.163-.552.182-.832.093-1.363.305-2.7.743-3.998.213-.633.42-1.26.837-1.8.192-.249.352-.332.699-.225 1.482.46 2.719 1.31 3.875 2.305.192.165.328.379.488.571.177.213.358.32.672.185.882-.377 1.803-.611 2.777-.566.828.038 1.533.37 2.14.909.637.567 1.106 1.242 1.3 2.096.113.494.728.891 1.232.908 1.014.034 2.014.146 3 .422.917.258 1.8.571 2.595 1.105.322.217.385.428.217.764-.37.742-.744 1.484-1.236 2.153-.639.868-1.39 1.629-2.321 2.186-.295.176-.445.394-.472.734-.07.874-.4 1.674-.71 2.484-.604 1.579-1.784 2.68-3.013 3.746-.226.195-.267.485-.425.713-.073.106.095.137.166.187.526.375.885.89 1.159 1.455.195.403.048.746-.32.966a1.936 1.936 0 01-1.424.232c-1.217-.251-2.307-.753-3.186-1.656-.11-.113-.234-.11-.373-.09-1.27.195-2.514.13-3.735-.315-.333-.122-.686-.191-1.004-.357-.105-.054-.178-.016-.258.055-1.218 1.087-2.672 1.29-4.22 1.102-.204-.024-.407-.125-.591-.226-.305-.167-.407-.487-.318-.854.15-.626.639-.968 1.111-1.319.343-.254.733-.427 1.13-.58.163-.064.226-.11.066-.268-.72-.707-1.355-1.48-1.79-2.401a.386.386 0 00-.257-.207 5.762 5.762 0 01-2.604-1.764c-.459-.534-.364-.93.287-1.204.346-.146.708-.18 1.078-.172z"
          fill={`${props.color ? props.color : "#17171B"}`}
        />
      </G>
      <Defs>
        <ClipPath id="clip0_347_159">
          <Path fill="#fff" d="M0 0H25V25H0z" />
        </ClipPath>
      </Defs>
    </Svg>
  );
};

export default Short;
